Bug 880811 - RollupClone - Colons need to be escaped
Summary: RollupClone - Colons need to be escaped
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: EDS   
(Show other bugs)
Version: 5.3.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ER1
: 5.3.1
Assignee: Filip Elias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 855868
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 20:19 UTC by Rick Wagner
Modified: 2013-07-09 15:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The modifySQL method in ODBCServerRemoteImpl handled '::' in queries incorrectly, resulting in unexpected results. Users have had to escape each of the colons to achieve the desired behavior. The modifySQL has been modified to identify occurrences of '::' correctly, so there is no longer a need to escape the colons in queries to achieve the expected behavior.
Story Points: ---
Clone Of: 855868
Environment:
Last Closed: 2013-07-09 15:40:33 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-2096 Major Closed Colons need to be escaped 2013-07-09 15:40:11 UTC

Description Rick Wagner 2012-11-27 20:19:22 UTC
+++ This bug was initially created as a clone of Bug #855868 +++

Description of problem:
https://issues.jboss.org/browse/TEIID-2096

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from  on 2012-09-10 09:32:30 EDT ---

Committed r4414 to https://svn.jboss.org/repos/teiid/branches/7.7.x

--- Additional comment from JBoss JIRA Server on 2012-11-20 09:17:14 EST ---

Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2096 to Closed

Comment 1 Rick Wagner 2012-11-27 20:20:19 UTC
This BZ opened as a tracker for EDS 5.3.1.  It's clone parent was part of a Roll up patch for EDS.

Comment 2 Filip Elias 2012-12-10 10:34:13 UTC
Verified on SOA-P 5.3.1 ER1


Note You need to log in before you can comment on or make changes to this bug.